import React, { useState } from 'react'
import './styles.css';


//takes in signup information

async function PostSignInfo(data)
{

    try 
    {
     const respone = await fetch("http://127.0.0.1:5000/login", {
        method: "POST", // or 'PUT'
        headers: {
          "Content-Type": "application/json",
        },
        body: JSON.stringify(data),
      });

    
    }

    catch (error) {
        console.error("Could not upload signup information successfully", error);
      }
}


function Login() {
    const [username, setUsername] = useState('');
    const [password, setPassword] = useState('');

    const handleSubmit = (e) => {
        e.preventDefault();

         PostSignInfo({ username, password });


    };

    const loginForm = (
        <div className="login-container">
            <h2>Enter Username</h2>
            <form onSubmit={handleSubmit}>
                <div className="input-group">
                    <label htmlFor="username">enter username</label>
                    <input
                        type="text"
                        id="username"
                        name="username"
                        value={username}
                        onChange={(e) => setUsername(e.target.value)}
                    />
                </div>

                <div className="input-group">
                    <label htmlFor="password">Password</label>
                    <input
                        type="password"
                        id="password"
                        name="password"
                        value={password}
                        onChange={(e) => setPassword(e.target.value)}
                        required
                    />
                </div>
                <button type="submit">Login</button>


            </form>
        </div>




    );

    return loginForm;
}

export default Login;